<?php

if (!function_exists('yaml_emit')) {
    function yaml_emit(array $data, $level = 0, $content = '')
    {
        $formatResult = function ($key, $value, $level) {
            $result = str_repeat(' ', $level * 2);
            switch (gettype($key)) {
                case 'string':
                    $result .= '"' .$key. '"' . ': '. $value;
                    break;
                case 'integer':
                    $result .= '- "' .$value. '"';
                    break;
                default:
                    $result .= '"' .$value. '"' . ':';
                    break;
            }

            return $result . PHP_EOL;
        };

        foreach ($data as $key => $item) {

            if (is_array($item)) {
                $content .= $formatResult($key, '', $level);
                $content = yaml_emit($item, $level + 1, $content);
            } else {
                $content .= $formatResult($key, $item, $level);
            }
        }
        return $content;
    }
}
