<script type="text/ng-template" id="addWidget.html">
    <div class="modal-header">
        <button type="button" class="close" ng-click="modalWindow.close('addWidget')">×</button>
        <h2>Add <span ng-show="!clickedAlert">new</span><span ng-show="clickedAlert">alerts</span> widget</h2>
    </div>
    <div class="modal-body addWidgetModal">
        <div id="notification_block_wrapper" data-notifications></div>
        <div class="row-fluid" ng-show="!clickedAlert && !clickedInventory">
            <div class="span12">
                Choose a type of widget to add:
            </div>
        </div>
        <div class="row-fluid" ng-show="!clickedAlert && !clickedInventory">
            <div class="span6">
                <div class="widget-panel" ng-click="clickedAlert=true">
                    <h3>Alerts</h3>
                    <?php
                        echo '<img class="wizard-gif" src="'.base_url().'images/welcome_2nd_screen.png">';
                    ?>
                </div>
            </div>
            <div class="span6" ng-show="!clickedAlert && !clickedChanges">
                <div id="changes-panel" ng-click="addWidget('changes', 'Changes');"  class="widget-panel">
                    <h3>Changes</h3>
                    <?php
                        echo '<img class="wizard-gif" src="'.base_url().'images/widget_change.png">';
                    ?>
                </div>
            </div>
            <div class="span6" ng-show="!clickedAlert && !clickedHostCount">
                <div id="changes-panel" ng-click="addWidget('hostCount', 'Newly bootstrapped hosts');"  class="widget-panel">
                    <h3>Newly bootstrapped hosts</h3>
                    <?php
                    echo '<img class="wizard-gif" src="'.base_url().'images/widget_change.png">';
                    ?>
                </div>
            </div>
            <div class="span6" ng-show="!clickedAlert && !clickedDecommissionedHosts">
                <div id="changes-panel" ng-click="addWidget('decommissionedHosts', 'Decommissioned hosts');"  class="widget-panel">
                    <h3>Decommissioned hosts</h3>
                    <?php
                    echo '<img class="wizard-gif" src="'.base_url().'images/widget_change.png">';
                    ?>
                </div>
            </div>
            <div class="span6" ng-show="!clickedAlert && !clickedFileChanges">
                <div id="changes-panel" ng-click="addWidget('fileChanges', 'File changes');"  class="widget-panel">
                    <h3>File changes count</h3>
                    <?php
                    echo '<img class="wizard-gif" src="'.base_url().'images/widget_change.png">';
                    ?>
                </div>
            </div>
            <div class="span6" ng-show="!clickedAlert || !clickedHostCount">
                <div id="widget-panel" ng-click="initInventoryForm();"  class="widget-panel">
                    <h3>Inventory</h3>
                    <?php
                    echo '<img class="wizard-gif" src="'.base_url().'images/widget_inventory.png">';
                    ?>
                </div>
            </div>
            <div class="span6" ng-show="!clickedAlert && !clickedNotKeptNeverRepaired">
                <div id="changes-panel" ng-click="addWidget('notKeptNeverRepaired', 'Not kept, not repaired count');"  class="widget-panel">
                    <h3>Not kept, not repaired count</h3>
                    <?php
                    echo '<img class="wizard-gif" src="'.base_url().'images/widget_change.png">';
                    ?>
                </div>
            </div>
        </div>
        <div ng-show="clickedAlert" >
        <form id="alertWidgetForm" enter-press="createWidget()" class='form-horizontal'>

            <div class='control-group'>
                <h4>Step 1</h4>
                <p>Choose a name for your new <span class="italic">alerts</span> widget:</p>
                <input id="widget-name" type='text' ng-init="widgetData.name = ''" ng-model='widgetData.name' maxlength='100' placeholder='Name'>
                <p class='help-block'>if left blank, the widget will be named automatically</p>
            </div>
            <div class='control-group'>
                <h4>Step 2</h4>
                <p>Choose 'Continue' to create the first <span class="italic">alert</span> for this widget.</p>
            </div>
        </form>

        </div>
        <div ng-show="clickedInventory" >
        <form id="inventoryWidgetForm" enter-press="addInventoryWidget()" class='form-horizontal'>

            <div class='control-group'>
                <h4>Step 1</h4>
                <p>Select the chart type:</p>
                <select name="inventoryChartType" ng-model='widgetData.chartType' ng-init="widgetData.chartType = ''" >
                    <option ng-repeat="option in inventoryChartTypeValues" value="{{option.value}}">{{option.name}}</option>
                </select>
            </div>

            <div class='control-group'>
                <h4>Step 2</h4>
                <p>Select the inventory attribute you would like the widget to show:</p>
                <select
                        required
                        data-placeholder="Select an attribute"
                        chosen
                        name="inventoryAttribute"
                        ng-init="widgetData.inventoryAttribute = ''"
                        ng-model="widgetData.inventoryAttribute"
                        watch="inventoryAttributeValues"
                        ng-options="option.name as option.value group by option.category for option in inventoryAttributeValues"
                        class="inventoryAttribute"
                >
                </select>
            </div>
            <div ng-if="widgetData.chartType == 'solidgauge'" class="solidgauge">
                <h5>Gauge settings:</h5>
                <div class="control-group">
                    <label class="control-label">Min value</label>
                    <div class="controls">
                        <input  type="number" ng-model='widgetData.min'  maxlength="5" >
                    </div>
                </div>
                <div class="control-group">
                    <label class="control-label">Max value</label>
                    <div class="controls">
                        <input  type="number" ng-model='widgetData.max' maxlength="5" >
                    </div>
                </div>
                <div>
                    <div class="control-group">
                        <label class="control-label"> Colors direction</label>
                        <div class="controls">
                            <label for="mode" class="radio inline">
                                <input type="radio" name="colorsDirection" ng-init="widgetData.startColor = 'green'" ng-model='widgetData.startColor' value="green" checked="checked">
                                From green to red
                            </label>
                            <label for="mode" class="radio inline">
                                <input type="radio" name="colorsDirection" ng-model='widgetData.startColor' value="red">
                                From red to green
                            </label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="text-error" ng-repeat="error in widgetData.errors" >{{error}}</div>
        </form>

        </div>

    </div>
    <div ng-show="clickedAlert || clickedInventory" class="modal-footer">
        <a class="btn btn-large" ng-click="modalWindow.close('addWidget')" href="javascript:void(0)">Cancel</a>
        <button ng-show="clickedAlert" id="continue" class="btn btn-large btn-primary" ng-click="createWidget()">Continue</button>
        <button ng-show="clickedInventory"  id="save" class="btn btn-large btn-primary" ng-click="addInventoryWidget()">Save</button>
    </div>
    <script>
        // scroll dropdown into view when options are shown
        $(".inventoryAttribute").chosen().live(
            'chosen:showing_dropdown',
            () => setTimeout(() => document.querySelector('.chosen-single.chosen-default').scrollIntoView(), 200)
        );
</script>
</script>
