class PieWidget extends BaseBarPieWidget {

    constructor(payload, data)
    {
        super(payload, data);

        this. config = {
            chart: {
                type: 'pie',
                backgroundColor: 'rgba(255, 255, 255, 255)',
                height: '194',
                events: {
                    click: this.clickAction.bind(this)
                },
                attribute: ''
            },

            exporting: {
                enabled: false
            },
            plotOptions: {
                pie: {
                    allowPointSelect: true,
                    cursor: 'pointer',
                    center: [70, 65],
                    dataLabels: {
                        enabled: false
                    },
                    events: {
                        click: function (event) {
                            const clickAction = this.clickAction(event, event.point.name);
                            if (clickAction != undefined) {
                                clickAction.call(this);
                            }
                        }.bind(this)
                    },
                    showInLegend: true
                }
            },
            tooltip: {
                formatter: function () {
                    return this.key + ': ' + this.y;
                }
            },
            legend: {
                layout: 'vertical',
                backgroundColor: '#FFFFFF',
                floating: true,
                align: 'left',
                width: 230,
                verticalAlign: 'top',
                navigation: {
                    arrowSize: 7,
                    animation: true,
                    style: {
                        fontWeight: 'bold',
                        color: '#333',
                        fontSize: '15px'
                    }
                },
                x: 200,
                y: 0,
                title: {
                    text: '',
                },
                itemWidth: 190,

                itemStyle: {
                    color: '#333333',
                    fontSize: '14px',
                    textOverflow: 'ellipsis',
                    width: 190
                },
                useHTML: true

            },

            series: [{
                name: this.variable,
                colorByPoint: true,
                data: []
            }],
            title: {
                text: ''
            },
            subtitle: {
                text: ''
            },
            credits: {
                enabled: false
            },
            loading: false
        };
    }

    getConfig() {
        let self = this;
        let pieConvertedData = this.pieConvertArray(this.data);
        this.config.series[0].data = pieConvertedData.array;
        this.config.legend.title.text = this.getLegendTitle();
        this.config.legend.labelFormatter = function () {
            return self.getLabel(this);
        },
            this.config.chart.attribute = this.variable;
        return this.config;
    }

    pieConvertArray(arr) {
        let returnData = {};
        returnData.array = [];
        angular.forEach(arr.data, function (value, key) {
            returnData.array.push({name: key, y: value});
        });
        return returnData;
    };
}
